package animation

// AnimationMap maps each animation ID to the actual animation
var AnimationMap map[int]entityAnimation

// Enum containing IDs of all animations that exist to make them easy to reference.
const (
	PENGUIN_WALK_RIGHT int = iota
	PENGUIN_WALK_LEFT
	PENGUIN_WALK_UP
	PENGUIN_WALK_DOWN
	PENGUIN_STATIONARY_RIGHT
	PENGUIN_STATIONARY_LEFT
	PENGUIN_STATIONARY_UP
	PENGUIN_STATIONARY_DOWN
)

func DefineAnimations() {
	AnimationMap = make(map[int]entityAnimation)
	DefinePenguinAnimations()
}
